Skip to main content

Get all emissions for the specified organization.

GET 

/partner/v1.0/organizations/:organizationId/emissions

Get all emissions for the specified organization.

Request

Path Parameters

    organizationId stringrequired

    The ID of the organization

Query Parameters

    inventoryId string

    Optional inventory ID to filter by

    activityId string

    Optional activity ID to filter by

    limit int32

    Default value: 50

    Maximum number of results to return (default 50, max 1000)

    offset int32

    Default value: 0

    Number of results to skip for pagination (default 0)

Responses

OK

Schema

    data

    object[]

    nullable

    A page of emissions.

  • Array [

  • id stringnullable

    The ID of the emission entry.

    created date-time

    The timestamp of when the emission was created.

    emissions double

    Total emissions in kg CO2e.

    activityId stringnullable

    ID of the activity this emission belongs to.

    inventoryId stringnullable

    The ID of the GHG inventory to which this emission belongs.

    activityCategory ActivityCategory (string)

    Possible values: [Energy, Fuel, Transport, Purchased Goods, Capital Goods, Waste Disposal, Accommodation, Product Sale, Home Office, Investment, Unknown, Water, Fugitive Gases]

    useStartTimestamp date-timenullable

    Start date/time of the activity period.

    useEndTimestamp date-timenullable

    End date/time of the activity period.

    source ActivityDataSource (string)

    Possible values: [Real Data, Proxy, System Proxy]

    facilityId stringnullable

    Facility ID where the activity occurred.

    supplierId stringnullable

    Supplier ID if the activity is associated with a supplier.

    supplierFacilityId stringnullable

    Supplier's facility ID if applicable.

    subsidiaryId stringnullable

    Subsidiary ID for the emission.

    emissionFactorId stringnullable

    ID of the emission factor used for calculation.

    emissionFactorSource stringnullable

    Source of the emission factor (e.g., "DEFRA", "EPA", "Ecoinvent").

    emissionFactorType EmissionFactorType (string)

    Possible values: [Default, Custom, Product Footprint, Facility Specific, Representative Product, Unknown]

    emissionScope EmissionScope (string)

    Possible values: [Scope 1, Scope 2, Scope 3]

    scope3Category Scope3Category (string)

    Possible values: [Purchased Goods and services, Capital Goods, Fuel and Energy related activities, Upstream Transportation and Distribution, Waste generated in operations, Business Travel, Employee Commuting, Upstream Leased Assets, Downstream Transportation and Distribution, Processing of sold products, Use of sold products, End of life treatment of sold products, Downstream Leased Assets, Franchises, Investments]

    accountingMethod AccountingMethod (string)

    Possible values: [Location Based, Market Based]

    primaryDataShare doublenullable

    Percentage of emissions calculated using primary data (0-100).

    emissionFactorName stringnullable

    Name of the emission factor used.

    emissionFactorValue

    object

    Represents a numeric value with its unit of measurement.

    value double

    The numeric value.

    unit stringnullable

    The unit of measurement (e.g., "kWh", "hours", "years").

    location

    object

    Represents a geographical location where a manufacturing process or material sourcing takes place.

    id stringnullable

    The unique identifier of the location.

    city stringnullable

    The name of the city.

    country stringrequired

    Possible values: non-empty

    The ISO 3166-1 alpha-2 country code.

    countryName stringnullable

    The full name of the country.

    continent stringnullable

    The name of the continent.

    latitude doublenullable

    The latitude coordinate of the location.

    longitude doublenullable

    The longitude coordinate of the location.

  • ]

  • totalCount int64

    The total number of emissions matching the query.

Loading...